Name: bash
Summary: The GNU Bourne Again shell (bash) version %{version}
Version: 4.1
Release: 6
Group: System Environment/Shells
License: GPLv2+
Url: http://www.gnu.org/software/bash
Source0: ftp://ftp.gnu.org/gnu/bash/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/bash/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch
# Official upstream patches
Patch1: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-001
Patch2: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-002
Patch3: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-003
Patch4: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-004
Patch5: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-005
Patch6: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-006
Patch7: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-007
Patch8: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-008
Patch9: ftp://ftp.gnu.org/gnu/bash/bash-4.1-patches/bash41-009

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: bison, patch

%description
The GNU Bourne Again shell (Bash) is a shell or command language
interpreter that is compatible with the Bourne shell (sh). Bash
incorporates useful features from the Korn shell (ksh) and the C shell
(csh). Most sh scripts can be run by bash without modification. This
package (bash) contains bash version %{version}, which improves POSIX
compliance over previous versions.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
# Official upstream patches
%patch1 -p0 -b .001
%patch2 -p0 -b .002
%patch3 -p0 -b .003
%patch4 -p0 -b .004
%patch5 -p0 -b .005
%patch6 -p0 -b .006
%patch7 -p0 -b .007
%patch8 -p0 -b .008
%patch9 -p0 -b .009


%build
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --with-included-gettext


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

cp doc/builtins.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p ${RPM_BUILD_ROOT}/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
ln -sf ../..%{_bindir}/bash ${RPM_BUILD_ROOT}/bin/bash
ln -sf ../..%{_prefix}/bin/bashbug ${RPM_BUILD_ROOT}/usr/bin/bashbug

{
  cd ${RPM_BUILD_ROOT}
  cd bin
  ln -sf bash bash2
  cd ../usr/bin
  ln -sf bashbug bash2bug
}


%post
if [ ! -f /etc/shells ]; then
    echo "%{_bindir}/bash" >> /etc/shells
else
    grep -q '^%{_bindir}/bash$' /etc/shells || \
        echo "%{_bindir}/bash" >> /etc/shells
fi


%postun
if [ ! -x %{_bindir}/bash ]; then
    grep -v '^%{_bindir}/bash$' /etc/shells > /etc/shells.rpm && \
        mv /etc/shells.rpm /etc/shells
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGES COMPAT NEWS NOTES POSIX
%doc doc/FAQ doc/INTRO doc/article.ms doc/article.txt
%doc examples/obashdb/ examples/functions/ examples/misc/
%doc examples/scripts.noah/ examples/scripts.v2/ examples/scripts/
%doc examples/startup-files/ examples/complete/
%{_bindir}/*
%{_infodir}/bash.info*
%{_mandir}/man1/*
%{_datadir}/locale/*
/bin/bash*
/usr/bin/bash*


%changelog
* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 4.1-6
- automatically add entry to /etc/shells

* Wed Oct 13 2010 Michael Perzl <michael@perzl.org> - 4.1-5
- updated to version 4.1 patch level 9

* Thu May 20 2010 Michael Perzl <michael@perzl.org> - 4.1-4
- updated to version 4.1 patch level 7

* Wed Apr 07 2010 Michael Perzl <michael@perzl.org> - 4.1-3
- updated to version 4.1 patch level 5

* Tue Jan 19 2010 Michael Perzl <michael@perzl.org> - 4.1-2
- updated to version 4.1 patch level 2

* Fri Jan 08 2010 Michael Perzl <michael@perzl.org> - 4.1-1
- updated to version 4.1

* Thu Nov 26 2009 Michael Perzl <michael@perzl.org> - 4.0-3
- updated to version 4.0 patch level 35

* Tue Jul 07 2009 Michael Perzl <michael@perzl.org> - 4.0-2
- updated to version 4.0 patch level 24

* Mon Mar 30 2009 Michael Perzl <michael@perzl.org> - 4.0-1
- updated to version 4.0 and patch level 10

* Mon Mar 30 2009 Michael Perzl <michael@perzl.org> - 3.2-2
- updated to latest patch level 3.2.48

* Tue Mar 18 2008 Michael Perzl <michael@perzl.org> - 3.2-1
- first version for AIX V5.1 and higher
